# Tools

{% hint style="info" %}
&#x20;This endpoint requires `tools_r` scope.
{% endhint %}

## tools

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/tools`

#### Query Parameters

| Name      | Type    | Description                                         |
| --------- | ------- | --------------------------------------------------- |
| per\_page | integer | Number of jobs per page                             |
| page      | integer | Page offset                                         |
| name      | string  | Filter on name (search on name & alternative names) |

{% tabs %}
{% tab title="200 Success" %}

```
[
    {
        "thumb_url": "https://welcomekit.co/img/aws.png",
        "tool_category": {
            "name": "Product Management",
            "reference": "pm",
            "id": 1
        },
        "alternative_names": "Aws Cloudfront, Cloudfront",
        "name": "Amazon Cloudfront",
        "id": 35
    },
    {
        "thumb_url": "https://welcomekit.co/img/js.png",
        "tool_category": {
            "name": "Front",
            "reference": "frontend",
            "id": 2
        },
        "alternative_names": "JS",
        "name": "Javascript",
        "id": 351
    }
  ...
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/tools" \
    -H "Authorization: Bearer WK_API_KEY"

curl -X GET -G "https://www.welcomekit.co/api/v1/external/tools" \
    -d "name=react"
    -H "Authorization: Bearer WK_API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/employer-branding-api/list-tools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
